// aplPersonTreeItem.h: interface for the CaplPersonTreeItem class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_APLPERSONTREEITEM_H__A561D57F_B362_4C04_BAE7_DC20DBECB31B__INCLUDED_)
#define AFX_APLPERSONTREEITEM_H__A561D57F_B362_4C04_BAE7_DC20DBECB31B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "aplTreeItem.h"
#include "aplValue.h"	// Added by ClassView

class CaplPersonTreeItem : public CaplTreeItem
{
public:
	virtual void ShowProperties();
	virtual BOOL ShowToolBarButton(CCmdUI* pCmdUI);
	virtual void ShowCmd(long cmd);
	virtual void GetAccessedInstances(aplExtent &ext);
	virtual bool TrackPopupMenu(CWnd *wnd, CPoint &point, UINT view_mode= APLICM_NORMALE);
	virtual bool PasteItem(CaplTreeItem *item, CPoint *point);
	virtual bool ShowInListCtrl(CListCtrl *list);
	virtual bool Expand(UINT action);
	virtual bool CreateTreeItem(HTREEITEM parent_item);
	virtual bool GetName(CString &name);
	CaplPersonTreeItem(CTreeCtrl *tree, CPSMDoc *pDoc, CaplInstance *inst=0, CaplInstance *m_po=0);
	virtual ~CaplPersonTreeItem();
	bool PasteFile(LPCTSTR file, CPoint *point);
    bool RefreshItem();

	CaplInstance *m_person;
	CaplInstance *m_person_organization;
	CaplInstance *m_official;
	CaplInstance *m_owner;

	CaplInstance *m_folder;
	aplExtent m_all_parents;
	void ShowAllParentOrgs();
};

#endif // !defined(AFX_APLPERSONTREEITEM_H__A561D57F_B362_4C04_BAE7_DC20DBECB31B__INCLUDED_)
